Bug 145515 - 2.6.10-1.737_FC3smp kernel oop
2.6.10-1.737_FC3smp kernel oop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 02:48 EST by JAN
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 04:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JAN 2005-01-19 02:48:36 EST
Description of problem:

Jan 18 20:40:23 localhost kernel: Unable to handle kernel NULL 
pointer dereference at virtual address 0000000c
Jan 18 20:40:23 localhost kernel:  printing eip:
Jan 18 20:40:23 localhost kernel: f887f5a9
Jan 18 20:40:23 localhost kernel: *pde = 2d5b0001
Jan 18 20:40:23 localhost kernel: Oops: 0002 [#1]
Jan 18 20:40:23 localhost kernel: SMP
Jan 18 20:40:23 localhost kernel: Modules linked in: md5 ipv6 autofs4 
i2c_dev i2c_core sunrpc dm_mod video button battery ac ohci_hcd tg3 
floppy sg ext
3 jbd mptscsih mptbase sd_mod scsi_mod
Jan 18 20:40:23 localhost kernel: CPU:    0
Jan 18 20:40:23 localhost kernel: EIP:    0060:[<f887f5a9>]    Not 
tainted VLI
Jan 18 20:40:23 localhost kernel: EFLAGS: 00010286   (2.6.10-
1.737_FC3smp)
Jan 18 20:40:23 localhost kernel: EIP is at 
journal_commit_transaction+0x420/0xe1f [jbd]
Jan 18 20:40:23 localhost kernel: eax: cc08035c   ebx: 00000000   
ecx: f7d3f480   edx: c2ede41c
Jan 18 20:40:23 localhost kernel: esi: cc08035c   edi: 00000000   
ebp: e9ea2a00   esp: f7d50df8
Jan 18 20:40:23 localhost kernel: ds: 007b   es: 007b   ss: 0068
Jan 18 20:40:23 localhost kernel: Process kjournald (pid: 499, 
threadinfo=f7d50000 task=f7ccb020)
Jan 18 20:40:23 localhost kernel: Stack: 00000000 00000000 00000000 
00000000 ee653ecc f7998a00 e3672c2c 00000939
Jan 18 20:40:23 localhost kernel:        00000000 f7ccb020 c012e4b2 
f7d50e44 f7d50e44 00000000 00000000 00000000
Jan 18 20:40:23 localhost kernel:        00000000 f7ccb020 c012e4b2 
f7d50e44 f7d50e44 00000000 00000000 00000000
Jan 18 20:40:23 localhost kernel: Call Trace:
Jan 18 20:40:23 localhost kernel:  [<c012e4b2>] 
autoremove_wake_function+0x0/0x2d
Jan 18 20:40:23 localhost kernel:  [<c012e4b2>] 
autoremove_wake_function+0x0/0x2d
Jan 18 20:40:23 localhost kernel:  [<f8881a76>] kjournald+0xd0/0x21f 
[jbd]
Jan 18 20:40:23 localhost kernel:  [<c012e4b2>] 
autoremove_wake_function+0x0/0x2d
Jan 18 20:40:23 localhost kernel:  [<c012e4b2>] 
autoremove_wake_function+0x0/0x2d
Jan 18 20:40:24 localhost kernel:  [<c011916d>] 
schedule_tail+0x12/0x4e
Jan 18 20:40:24 localhost kernel:  [<f88819a0>] 
commit_timeout+0x0/0x5 [jbd]
Jan 18 20:40:24 localhost kernel:  [<f88819a6>] kjournald+0x0/0x21f 
[jbd]
Jan 18 20:40:24 localhost kernel:  [<c01021f5>] 
kernel_thread_helper+0x5/0xb
Jan 18 20:40:24 localhost kernel: Code: 01 00 00 00 e8 85 5e 8d c7 89 
d8 89 fa e8 18 0a 00 00 89 f0 e8 15 bf a3 c7 83 7d 18 00 0f 84 07 01 
00 00 8b 45
18 8b 70 20 8b 1e <f0> ff 43 0c 8b 03 a8 04 74 53 8b 54 24 14 8d 82 
e4 00 00 00 e8
Jan 18 21:32:18 linux1 syslogd 1.4.1: restart.


Version-Release number of selected component (if applicable):

2.6.10-1.737_FC3smp

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2005-02-12 23:14:49 EST
has this reoccured with any of the update kernels ?
Comment 2 JAN 2005-02-16 10:36:32 EST
This messsage today with 2.6.10.-1.760_FC3smp, the server (IBM x345) worked fine
with 2.4 kernel before it was reinstaled with fedora core 3:


Feb 16 14:47:20 linux1 kernel: Unable to handle kernel NULL pointer dereference
at virtual address 0000000c
Feb 16 14:47:20 linux1 kernel:  printing eip:
Feb 16 14:47:20 linux1 kernel: f887f5a9
Feb 16 14:47:20 linux1 kernel: *pde = 37aea001
Feb 16 14:47:20 linux1 kernel: Oops: 0002 [#1]
Feb 16 14:47:20 linux1 kernel: SMP
Feb 16 14:47:20 linux1 kernel: Modules linked in: md5 ipv6 dm_mod video button
battery ac ohci_hcd tg3 floppy sg ext3 jbd mptscsih mptbase sd_mod scsi_mod
Feb 16 14:47:20 linux1 kernel: CPU:    1
Feb 16 14:47:20 linux1 kernel: EIP:    0060:[<f887f5a9>]    Not tainted VLI
Feb 16 14:47:20 linux1 kernel: EFLAGS: 00010286   (2.6.10-1.760_FC3smp)
Feb 16 14:47:20 linux1 kernel: EIP is at journal_commit_transaction+0x420/0xe1f
[jbd]
Feb 16 14:47:20 linux1 kernel: eax: c5fec26c   ebx: 00000000   ecx: f7d3c480  
edx: c5fec17c
Feb 16 14:47:20 linux1 kernel: esi: c5fec26c   edi: 00000000   ebp: f76ad380  
esp: f7d4ddf8
Feb 16 14:47:20 linux1 kernel: ds: 007b   es: 007b   ss: 0068
Feb 16 14:47:20 linux1 kernel: Process kjournald (pid: 497, threadinfo=f7d4d000
task=f7cd8020)
Feb 16 14:47:20 linux1 kernel: Stack: 00000000 00000000 00000000 00000000
f29fbaac f793a200 c0ddc95c 000018d9
Feb 16 14:47:20 linux1 kernel:        00000000 f7cd8020 c012e926 f7d4de44
f7d4de44 00000000 00000000 00000000
Feb 16 14:47:20 linux1 kernel:        00000000 f7cd8020 c012e926 f7d4de44
f7d4de44 00000000 00000000 00000000
Feb 16 14:47:20 linux1 kernel: Call Trace:
Feb 16 14:47:20 linux1 kernel:  [<c012e926>] autoremove_wake_function+0x0/0x2d
Feb 16 14:47:20 linux1 kernel:  [<c012e926>] autoremove_wake_function+0x0/0x2d
Feb 16 14:47:20 linux1 kernel:  [<f8881a76>] kjournald+0xd0/0x21f [jbd]
Feb 16 14:47:20 linux1 kernel:  [<c012e926>] autoremove_wake_function+0x0/0x2d
Feb 16 14:47:20 linux1 kernel:  [<c012e926>] autoremove_wake_function+0x0/0x2d
Feb 16 14:47:20 linux1 kernel:  [<c011923d>] schedule_tail+0x12/0x4e
Feb 16 14:47:20 linux1 kernel:  [<f88819a0>] commit_timeout+0x0/0x5 [jbd]
Feb 16 14:47:20 linux1 kernel:  [<f88819a6>] kjournald+0x0/0x21f [jbd]
Feb 16 14:47:20 linux1 kernel:  [<c01021f5>] kernel_thread_helper+0x5/0xb
Feb 16 14:47:20 linux1 kernel: Code: 01 00 00 00 e8 bd 67 8d c7 89 d8 89 fa e8
18 0a 00 00 89 f0 e8 04 c7 a3 c7 83 7d 18 00 0f 84 07 01 00 00 8b
 45 18 8b 70 20 8b 1e <f0> ff 43 0c 8b 03 a8 04 74 53 8b 54 24 14 8d 82 e4 00 00
00 e8
Feb 16 15:17:03 linux1 syslogd 1.4.1: restart.
Feb 16 15:17:03 linux1 syslog: syslogd startup succeeded
Comment 3 Dave Jones 2005-07-15 14:24:08 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.